<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::InstancedGeometry::BatchInstance Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf4f61aeb45d61195c248757e3d1c6fe">_getLightList</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aeb13418fe2740ed8ebc52cd9667fca41">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#abeed8b66fa573243dab6234935cf20c3">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ae307c64b6e130191e45d48df0e2c5961">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aa2fd20b42f58c1701ba124668c6a6709">_updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a436583dfc8c15fb0d5458c42e32e5d3c">addInstancedObject</a>(unsigned short index, InstancedObject *object)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#acc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a2370b65754ee037b848c0d17537b2e81">assign</a>(QueuedSubMesh *qmesh)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a07c54cb2bb766d3c024ec8257cc8c21f">attachToScene</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#ab8800df8824217da2796d800d111ca8e">BatchInstance</a>(InstancedGeometry *parent, const String &amp;name, SceneManager *mgr, uint32 BatchInstanceID)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a90a725cab7a4fbb3e9283234abb26e26">build</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab53cc49d402913fde37fa4976f5bfdd5">detachFromParent</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a282c42dcfba9149b25d2342d5dd35d64">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#acae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a6a91d073392c59f63ffd5c15c6357bb5">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a9b57e18331569cd0f62dc233cb9df65e">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a60b24cd45c8df45654dcfa14a1293a3b">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a890df430b01b8ad48c4fb7eb4a39fecd">getID</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a40aae487eea1cb78e8390becb2b658c7">getInstancesMap</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a538d975b35be25e7d705b6310ec3d84d">getLightMask</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#acaf79c089631882b2f6c096e13eb9011">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#ae8efe6ab0a6917268aac0e11bc5888e4">getLODIterator</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#ab5dd21780843ac07150489d3850c11ab">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a1e84e327484a8c5cf1043026b25bd2ae">getObjectIterator</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a1d4974c6cbb71bb0f2dbc9d89ac6f908">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8f2627b8d1658838a7c79c82148c6303">getReceivesShadows</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1025983039f59637e9dde740b5013175">getRenderingMinPixelSize</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aa7e28584145cb38523959901984482bc">getSceneNode</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4492fa817bb3a750d349aeec34c19c43">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDist, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a32c637889b8a4138d2008aece76f42b6">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aaac5bf65835f733433f3338132f2f01f">getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abbf5cf5545c219ce9be1997ff5dd2204">getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acc31c877990c3c231c4b4cfb0522bef8">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2f6db9f0db4038e6544d703a9f3bcf53">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7c2a8be6a9bd59e6c69ee2d76945500">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a>(StringVector &amp;) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aee84583c303172229a957ff7933a05a4">InstancedObjectIterator</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a39cfd5b78a4326156accf5ed3146ddc6">isDebugDisplayEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#ab1ec7d59346ec5085a3a63731801cd38">isInstancedObjectPresent</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aff1706913baf992f108cc0fe4c95a53b">isParentTagPoint</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#ad7c128818584b173b0c6f97ee3a655a6">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a392b612b5e71abf63e0e0f87a9a5fdd1">LODBucketList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a95630f38e73f98fda154f8350edfe3fe">LODIterator</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a74ca10cae8cda51dbbfdd42cbc0b9c75">mAABB</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a1ef54cc784f7a52df495e596d4d41de5">MaterialBucket</a> class</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a2040e085e443a40d919f9c6fd6b76e75">mBatchInstanceID</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aab27834ea6a0eb95692f708d2f518877">mBoundingRadius</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aeec55104c87b22c8113846dfa7acd842">mCamera</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a6ba2c7020a7e7a7487048d53a42853e1">mCurrentLod</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac439108451539e95ac9829ab6520306c">mDebugDisplay</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a6412ff9cf395c4291e2ca171ceb8da7f">mInstancesMap</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3db70b0c8b2e53a3c71671217e5a516c">mLightMask</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aa4cfc605efecc73d85df54937a265daf">mLodBucketList</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a3988a131d0cb0907f46db17c0e95f0f8">mLodStrategy</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#ac3a0061314789c9697342fcab80731ea">mLodValue</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aac9d9ffb767462a1fd412cf190cf4082">mLodValues</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a56e7d5ccac2877061b0919648f7f0b34">mMinPixelSize</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a0655c7656869a1e86018d52a1b1443d3">mNode</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a5bd3793015b56de8b10bc75a30dea26a">mParent</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a999e19d44b4a9d7ab714e9a4322a1f83">mQueuedSubMeshes</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa34e0feb87409120726a489f52b39c58">mRenderQueuePriority</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac9ee5f673870a76b23eb5291b3fa3f28">mRenderQueuePrioritySet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a2740c4faf4caa45f500df622dadc201b">mSceneMgr</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adeb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a8fe97eb6a6a57cb88e8af1f65efe8524">mSquaredViewDepth</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af00b75d92e7d62f5ff9bd4847d1786e8">mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a67fedd9b914842298a9a86c81463b0f7">ObjectsMap</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e039c80d31e36c17f4e7fc85e5c6cdc">removeQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a149bb2b4599613f8d3ddf3dcb762564d">setBoundingBox</a>(AxisAlignedBox &amp;box)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2b559ddd8df033cafa5d64502c7d0c3a">setDebugDisplayEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0b7dc685c1dc7ec4dd677750d17ee145">setLightMask</a>(uint32 lightMask)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9ad2786aa67624f26c7ff245c673ad5e">setRenderingMinPixelSize</a>(Real pixelSize)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac5e898937867475e52d350d1f4d75e32">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a38cf564fe839d40a81ba5155d363b7aa">setRenderQueueGroupAndPriority</a>(uint8 queueID, ushort priority)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8b0ab29b6a7e94169e2b3fde0be7cf10">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a5fbd970f23dd3d1bdb6bcc6376176ace">updateBoundingBox</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#afe365e7a128b5553e422092d7b8b14ef">updateContainers</a>(LODBucket *bucket)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ac9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#a0d8a629699e769a21ac14bb03a11a021">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ac61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#ac703f8fde08d387fab880ab78380a4b1">~BatchInstance</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">Ogre::InstancedGeometry::BatchInstance</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#aa09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
